Subject: Re: How mantainers check Git diffs and patches?

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Oct 2025 09:41:46 -0700

Henrique Soares <[email-masked]> writes:

> This is a simple question I have related to the PR diff review process.
>
> How Git maintainers use to check diffs and review the code? I mean,
> sometimes I see that there are some large PATCHES that is hard or
> probably impossible to review only using e-mail client.
>
> Do you use some syntax highlight in client e-mail; any pipeline that
> automatically download e-mails and apply to a local branch; or for each
> PR you save the e-mail file then "git apply" to review / test the diff?
>
> This isn't a technical question, I'm just curious about how you do it.

Even a very small patch that applies a change to an early part of an
ultra-long function may be hard to assess depending on how far the
effect of that change gets propagated through the code flow to
affect the code near the bottom of the function.

Patches are medium for reliable transmission.  Once you apply the
patch to your tree (perhaps giving it its own topic branch, perhaps
to a detached HEAD with the full intention that you will discard it
after you are done inspecting the change the patch brings in), you
can use any regular tools you use while developing and reviewing
your own code.